You are viewing a plain text version of this content. The canonical link for it is here.
Posted to notifications@libcloud.apache.org by to...@apache.org on 2013/12/31 14:50:30 UTC

[1/5] git commit: Modify verify checksum script to also check checksum of zip artifact.

Updated Branches:
  refs/heads/trunk 903e70844 -> 139b2eb5d


Modify verify checksum script to also check checksum of zip artifact.


Project: http://git-wip-us.apache.org/repos/asf/libcloud/repo
Commit: http://git-wip-us.apache.org/repos/asf/libcloud/commit/fa1f4d59
Tree: http://git-wip-us.apache.org/repos/asf/libcloud/tree/fa1f4d59
Diff: http://git-wip-us.apache.org/repos/asf/libcloud/diff/fa1f4d59

Branch: refs/heads/trunk
Commit: fa1f4d59a1011b030a0d57811ab6a9c386475a93
Parents: 903e708
Author: Tomaz Muraus <to...@apache.org>
Authored: Tue Dec 31 14:42:55 2013 +0100
Committer: Tomaz Muraus <to...@apache.org>
Committed: Tue Dec 31 14:42:55 2013 +0100

----------------------------------------------------------------------
 dist/verify_checksums.sh | 1 +
 1 file changed, 1 insertion(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/libcloud/blob/fa1f4d59/dist/verify_checksums.sh
----------------------------------------------------------------------
diff --git a/dist/verify_checksums.sh b/dist/verify_checksums.sh
index 1dac995..d75fb56 100755
--- a/dist/verify_checksums.sh
+++ b/dist/verify_checksums.sh
@@ -29,6 +29,7 @@ TMP_DIR=`mktemp -d`
 
 EXTENSIONS[0]="tar.gz"
 EXTENSIONS[1]="tar.bz2"
+EXTENSIONS[2]="zip"
 
 APACHE_MIRROR_URL="http://www.apache.org/dist/libcloud"
 PYPI_MIRROR_URL="https://pypi.python.org/packages/source/a/apache-libcloud"


[2/5] git commit: Modify script to return error if the file doesn't exist.

Posted by to...@apache.org.
Modify script to return error if the file doesn't exist.


Project: http://git-wip-us.apache.org/repos/asf/libcloud/repo
Commit: http://git-wip-us.apache.org/repos/asf/libcloud/commit/5b60e4f4
Tree: http://git-wip-us.apache.org/repos/asf/libcloud/tree/5b60e4f4
Diff: http://git-wip-us.apache.org/repos/asf/libcloud/diff/5b60e4f4

Branch: refs/heads/trunk
Commit: 5b60e4f490baec3ee4931275da5a722974203527
Parents: fa1f4d5
Author: Tomaz Muraus <to...@apache.org>
Authored: Tue Dec 31 14:45:50 2013 +0100
Committer: Tomaz Muraus <to...@apache.org>
Committed: Tue Dec 31 14:45:50 2013 +0100

----------------------------------------------------------------------
 dist/verify_checksums.sh | 10 ++++++++++
 1 file changed, 10 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/libcloud/blob/5b60e4f4/dist/verify_checksums.sh
----------------------------------------------------------------------
diff --git a/dist/verify_checksums.sh b/dist/verify_checksums.sh
index d75fb56..52cb9a2 100755
--- a/dist/verify_checksums.sh
+++ b/dist/verify_checksums.sh
@@ -57,9 +57,19 @@ do
     echo "Downloading file from Apache mirror..."
     wget --quiet "${apache_url}" -O "${file_path_apache}"
 
+    if [ $? -ne 0 ]; then
+        echo "[ERR] Failed to download file: ${apache_url}"
+        exit 2
+    fi
+
     echo "Downloading file from PyPi mirror..."
     wget --quiet "${pypi_url}" -O "${file_path_pypi}"
 
+    if [ $? -ne 0 ]; then
+        echo "[ERR] Failed to download file: ${pypi_url}"
+        exit 2
+    fi
+
     md5sum_apache=$(md5sum "${file_path_apache}" | awk '{ print $1 }')
     md5sum_pypi=$(md5sum "${file_path_pypi}"| awk '{ print $1 }')
 


[3/5] git commit: To be on the safe side, add some asserts to the script.

Posted by to...@apache.org.
To be on the safe side, add some asserts to the script.


Project: http://git-wip-us.apache.org/repos/asf/libcloud/repo
Commit: http://git-wip-us.apache.org/repos/asf/libcloud/commit/05d73f86
Tree: http://git-wip-us.apache.org/repos/asf/libcloud/tree/05d73f86
Diff: http://git-wip-us.apache.org/repos/asf/libcloud/diff/05d73f86

Branch: refs/heads/trunk
Commit: 05d73f86e883027dee36452c51ddd338f5ed0fc9
Parents: 5b60e4f
Author: Tomaz Muraus <to...@apache.org>
Authored: Tue Dec 31 14:49:13 2013 +0100
Committer: Tomaz Muraus <to...@apache.org>
Committed: Tue Dec 31 14:49:13 2013 +0100

----------------------------------------------------------------------
 dist/verify_checksums.sh | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/libcloud/blob/05d73f86/dist/verify_checksums.sh
----------------------------------------------------------------------
diff --git a/dist/verify_checksums.sh b/dist/verify_checksums.sh
index 52cb9a2..c739dd1 100755
--- a/dist/verify_checksums.sh
+++ b/dist/verify_checksums.sh
@@ -34,6 +34,30 @@ EXTENSIONS[2]="zip"
 APACHE_MIRROR_URL="http://www.apache.org/dist/libcloud"
 PYPI_MIRROR_URL="https://pypi.python.org/packages/source/a/apache-libcloud"
 
+# From http://tldp.org/LDP/abs/html/debugging.html#ASSERT
+function assert ()                 #  If condition false,
+{                         #+ exit from script
+                          #+ with appropriate error message.
+  E_PARAM_ERR=98
+  E_ASSERT_FAILED=99
+
+
+  if [ -z "$2" ]          #  Not enough parameters passed
+  then                    #+ to assert() function.
+    return $E_PARAM_ERR   #  No damage done.
+  fi
+
+  lineno=$2
+
+  if [ ! $1 ]
+  then
+    echo "Assertion failed:  \"$1\""
+    echo "File \"$0\", line $lineno"    # Give name of file and line number.
+    exit $E_ASSERT_FAILED
+  fi
+}
+
+
 echo "Comparing checksums for version: ${VERSION}"
 echo "Downloaded files will be stored in: ${TMP_DIR}"
 echo ""
@@ -46,9 +70,13 @@ do
     apache_url="${APACHE_MIRROR_URL}/${file_name}"
     pypi_url="${PYPI_MIRROR_URL}/${file_name}"
 
+    assert "${apache_url} != ${pypi_url}", "URLs must be different"
+
     file_name_apache="${file_name}-apache"
     file_name_pypi="${file_name}-pypi"
 
+    assert "${file_name_apache} != ${file_name_pypi}", "file names must be different"
+
     file_path_apache="${TMP_DIR}/${file_name_apache}"
     file_path_pypi="${TMP_DIR}/${file_name_pypi}"
 


[5/5] git commit: docs: update formatting.

Posted by to...@apache.org.
docs: update formatting.


Project: http://git-wip-us.apache.org/repos/asf/libcloud/repo
Commit: http://git-wip-us.apache.org/repos/asf/libcloud/commit/139b2eb5
Tree: http://git-wip-us.apache.org/repos/asf/libcloud/tree/139b2eb5
Diff: http://git-wip-us.apache.org/repos/asf/libcloud/diff/139b2eb5

Branch: refs/heads/trunk
Commit: 139b2eb5dda85cb63b225f87d20eedfb8f9333b3
Parents: 8cd99de
Author: Tomaz Muraus <to...@apache.org>
Authored: Tue Dec 31 14:49:58 2013 +0100
Committer: Tomaz Muraus <to...@apache.org>
Committed: Tue Dec 31 14:49:58 2013 +0100

----------------------------------------------------------------------
 docs/committer_guide.rst | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/libcloud/blob/139b2eb5/docs/committer_guide.rst
----------------------------------------------------------------------
diff --git a/docs/committer_guide.rst b/docs/committer_guide.rst
index 25ab9fd..2572686 100644
--- a/docs/committer_guide.rst
+++ b/docs/committer_guide.rst
@@ -111,8 +111,9 @@ For example:
 
 5. Publishing package to PyPi
 
-For consistency and security reasons packages are always uploaded to PyPi
-manually using the web interface and not using the ``setup.py upload`` command.
+**For consistency and security reasons packages are always uploaded to PyPi
+manually using the web interface and not using the ``setup.py upload``
+command.**
 
 * Run ``python setup.py register`` command. This will register a new
   version on PyPi, but it won't upload the actual release artifacts.


[4/5] git commit: docs: fix a typo.

Posted by to...@apache.org.
docs: fix a typo.


Project: http://git-wip-us.apache.org/repos/asf/libcloud/repo
Commit: http://git-wip-us.apache.org/repos/asf/libcloud/commit/8cd99de7
Tree: http://git-wip-us.apache.org/repos/asf/libcloud/tree/8cd99de7
Diff: http://git-wip-us.apache.org/repos/asf/libcloud/diff/8cd99de7

Branch: refs/heads/trunk
Commit: 8cd99de721327a529aaa6e3a93c01cf8287da6e7
Parents: 05d73f8
Author: Tomaz Muraus <to...@apache.org>
Authored: Tue Dec 31 14:49:43 2013 +0100
Committer: Tomaz Muraus <to...@apache.org>
Committed: Tue Dec 31 14:49:43 2013 +0100

----------------------------------------------------------------------
 docs/committer_guide.rst | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/libcloud/blob/8cd99de7/docs/committer_guide.rst
----------------------------------------------------------------------
diff --git a/docs/committer_guide.rst b/docs/committer_guide.rst
index 63390a8..25ab9fd 100644
--- a/docs/committer_guide.rst
+++ b/docs/committer_guide.rst
@@ -144,7 +144,7 @@ Usage:
 
 .. sourcecode:: bash
 
-    ./dist/verify_checksums <version>
+    ./dist/verify_checksums.sh <version>
 
 For example